/* Gnofract -- a little fractal generator-browser program
 * Copyright (C) 1999 2000  Aurelien Alleaume
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */

#include <gnome.h>

gboolean quit_cb(GtkWidget * widget, GdkEvent * event, gpointer user_data);

void new_image_cb(GtkMenuItem * menuitem, gpointer user_data);

void save_image_cb(GtkMenuItem * menuitem, gpointer user_data);

void save_param_cb(GtkMenuItem * menuitem, gpointer user_data);

void load_param_cb(GtkMenuItem * menuitem, gpointer user_data);

void load_cmap_cb(GtkMenuItem * menuitem, gpointer user_data);

void load_formula_cb(GtkMenuItem * menuitem, gpointer user_data);

void render_to_disk_cb(GtkMenuItem * menuitem, gpointer user_data);

void preferences_cb(GtkMenuItem * menuitem, gpointer user_data);

void about_cb(GtkMenuItem * menuitem, gpointer user_data);

void help_content_cb(GtkMenuItem * menuitem, gpointer user_data);

void save_image_ok_cb(GtkButton * button, gpointer user_data);

void save_param_ok_cb(GtkButton * button, gpointer user_data);

void load_param_ok_cb(GtkButton * button, gpointer user_data);

void load_cmap_ok_cb(GtkButton * button, gpointer user_data);

void load_formula_ok_cb(GtkButton * button, gpointer user_data);

void render_to_disk_ok_cb(GtkButton * button, gpointer user_data);

void render_to_disk_annuler_cb(GtkButton * button, gpointer user_data);

void propertybox_apply(GnomePropertyBox * gnomepropertybox, gint arg1, gpointer user_data);

void propertybox_help(GnomePropertyBox * gnomepropertybox, gint arg1, gpointer user_data);
void propertybox_destroy(void);

void item_image_event(GnomeCanvasItem * item, GdkEvent * event, gpointer user_data);
void item_select_event(GnomeCanvasItem * item, GdkEvent * event, gpointer user_data);

void mouse_event(GtkWidget * widget, GdkEvent * event, gpointer user_data);
void property_box_refresh(void);

gint expose_event(GtkWidget * widget, GdkEventExpose * event);
