%define ver      0.2
%define  RELEASE SNAP
%define prefix   /usr      

Summary: Fractal generator/browser
Name: gnofract
Version: %ver
Release: 1
Copyright: GPL
Group: Applications/Graphics
Source: http://www.multimania.com/mason/gnofract-%{ver}.tgz
BuildRoot: /var/tmp/gnofract-%{ver}
URL: http://www.multimania.com/mason
Requires: gnome-libs >= 1.0.12  
Docdir: %{prefix}/doc
Prefix: %prefix

%description
Gnofract is a Fractal generator/browser.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
        --prefix=%{prefix}
make -j 2
                                       

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING ChangeLog NEWS README

%{prefix}/bin/gnofract
%{prefix}/share/locale/*/*/*.mo



